#!/usr/bin/make -f

export PYBUILD_NAME=magicalimport
export PYBUILD_TEST_ARGS=-v
export PYBUILD_BEFORE_TEST=cp -rv {dir}/magicalimport/tests {build_dir}/magicalimport; cp -rv {dir}/examples {build_dir}
export PYBUILD_AFTER_TEST=rm -rfv '{build_dir}/magicalimport/tests' '{build_dir}/examples'
export PYBUILD_AFTER_INSTALL=rm -rfv '{destdir}/{install_dir}/examples'

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .pytest_cache/

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
	dh_auto_test
endif
